## org.omg.CORBA
Class Context

    java.lang.Object
      |
      +--org.omg.CORBA.Context

Direct Known Subclasses:
  Context

public abstract class Context
extends java.lang.Object

Constructor Summary
`Context()`

Method Summary
`abstract java.lang.String` `context_name()`
`abstract Context` `create_child(java.lang.String child_context_name)`
`abstract void` `delete_values(java.lang.String prop_name)`
`abstract NVList` `get_values(java.lang.String start_scope, int op_flags, java.lang.String pattern)`
`abstract Context` `parent()`
`abstract void` `set_one_value(java.lang.String prop_name, Any value)`
`abstract void` `set_values(NVList values)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Context

    public Context()

Method Detail

### context_name

    public abstract java.lang.String context_name()

### parent

    public abstract Context parent()

### create_child

    public abstract Context create_child(java.lang.String child_context_name)

### set_one_value

    public abstract void set_one_value(java.lang.String prop_name,
                                       Any value)

### set_values

    public abstract void set_values(NVList values)

### delete_values

    public abstract void delete_values(java.lang.String prop_name)

### get_values

    public abstract NVList get_values(java.lang.String start_scope,
                                      int op_flags,
                                      java.lang.String pattern)